Bug 1867238 - Cluster Settings should be updated to utilize channels from ClusterVersion instead of being hard coded
Summary: Cluster Settings should be updated to utilize channels from ClusterVersion in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1884760
TreeView+ depends on / blocked
 
Reported: 2020-08-07 19:45 UTC by Robb Hamilton
Modified: 2020-10-27 16:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:26:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6283 0 None closed Bug 1867238: utilize channels from ClusterVersion when available 2020-12-14 07:10:39 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:26:53 UTC

Description Robb Hamilton 2020-08-07 19:45:54 UTC
Description of problem:  Cluster Settings should be updated to utilize channels from ClusterVersion instead of being hard coded (see https://github.com/openshift/console/blob/master/frontend/public/module/k8s/cluster-settings.ts#L42-L46).

Comment 3 XiaochuanWang 2020-08-13 09:19:30 UTC
Checked on 4.6.0-0.nightly-2020-08-12-155346
By default the `cv.status.desired.channels` are not present and the channels list is correct on 4.6
However is there any possible to set the values of `cv.status.desired.channels`?

Comment 5 Yanping Zhang 2020-08-20 10:21:25 UTC
Checked the fix code, now on 4.6 cluster, `cv.status.desired.channels` is not set, so channel lists are 'stable-4.6', 'fast-4.6', 'candidate-4.6'. Move the bug to Verified.

Comment 7 errata-xmlrpc 2020-10-27 16:26:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.